#pragma once

#include "tools/mathutils.h"

struct BPMSection
{
    int bpm = 0;
    int fraction = 1;
    microsec offset_start = 0;
};

struct BPMSectionCompt
{
    bool operator()(const BPMSection& lhs, const BPMSection& rhs) const noexcept
    {
        return lhs.offset_start < rhs.offset_start;
    }
};
